# $Revision: 1.26 $, $Date: 2007/02/12 21:23:54 $
Summary:	Nice finger daemon
Summary(pl.UTF-8):	Sympatyczny serwer finger
Name:		efingerd
Version:	1.6.2
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://melkor.dnp.fmph.uniba.sk/~garabik/efingerd/%{name}_%{version}.tar.gz
# Source0-md5:	9ed962d02c7716c747fd29b4fabbd06b
Source1:	%{name}.inetd
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-fortune_path.patch
URL:		http://melkor.dnp.fmph.uniba.sk/~garabik/efingerd.html
BuildRequires:	libident-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	inetdaemon
Requires:	rc-inetd >= 0.8.1
Provides:	fingerd
Obsoletes:	bsd-fingerd
Obsoletes:	cfingerd
Obsoletes:	ffingerd
Obsoletes:	finger-server
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Another finger daemon for unix capable of fine-tuning your output.
efingerd is a finger daemon, which executes programs and displays
their output. This gives you complete control over what to display and
to who, and an extreme configurability.

%description -l pl.UTF-8
Efingerd jest kolejnym uniksowym demonem finger, który poprzez swoje
możliwości konfiguracji pozwala na pełną kontrolę tego, komu i w jaki
sposób są prezentowane odpowiedzi na zapytania finger - pokazując
wynik zewnętrznych programów.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install install-doc \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/fingerd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd reload

%postun
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES examples-{unusual,win95,standard}
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/fingerd
%dir %{_sysconfdir}/efingerd
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/efingerd/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: efingerd.spec,v $
Revision 1.26  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.24  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.23  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.22  2005/07/05 20:31:37  darekr
- cosmetics

Revision 1.21  2004/04/03 12:49:40  gotar
- from Michal Kochanowicz:
 - added fortune_path patch,
 - release 2.

Revision 1.20  2003/08/12 15:08:19  qboosh
- cleanups, mainly in preambles

Revision 1.19  2003/05/26 16:24:56  malekith
- massive attack: adding Source-md5

Revision 1.18  2003/05/25 05:47:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/02/04 19:59:15  undefine
- updated to 1.6.2

Revision 1.16  2002/08/02 00:23:48  blues
- release 4
- new doc
- new description written by Krzysztof Pobiezynski <ppv@wiedzmin.org>

Revision 1.15  2002/06/08 14:58:25  mkochano
- Release 3.
- Marked /etc/efingerd/* as config noreplace. These files are scripts,
  but they are often modified to match admin's needs.

Revision 1.14  2002/04/25 16:14:32  arturs
fixed a small typo

Revision 1.13  2002/03/23 14:01:47  kloczek
- release 2.

Revision 1.12  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/09 16:04:54  undefine
- updated to 1.6.1, corrected Makefile patch

Revision 1.9  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.8  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.6  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/03/15 05:02:33  kloczek
- updated to 1.6.

Revision 1.4  2001/02/27 05:20:04  kloczek
- updated to 1.4.2.

Revision 1.3  2001/01/25 20:03:22  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.2  2001/01/07 16:45:20  kloczek
- make spec %%{debug} ready.

Revision 1.1  2001/01/07 13:16:04  undefine
- Initial PLD version
